> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Create outward call



## OpenAPI

````yaml /openapi/integrations.json post /v1/crm/integrations/binotel/outward_call/
openapi: 3.0.3
info:
  title: Yume API — Интеграции
  version: 1.0.0
  description: Подключение и управление внешними сервисами.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/integrations/binotel/outward_call/:
    post:
      tags:
        - binotel
      summary: Create outward call
      operationId: binotel_outward_call_create
      parameters:
        - $ref: '#/components/parameters/TenantId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BinotelCall'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/BinotelCall'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/BinotelCall'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BinotelCall'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    BinotelCall:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        general_call_id:
          type: string
          title: Идентификатор звонка
          maxLength: 32
        start_time:
          type: string
          format: date-time
          title: Начало звонка
        call_type:
          allOf:
            - $ref: '#/components/schemas/CallTypeEnum'
          title: Тип звонка
          minimum: 0
          maximum: 32767
        internal_number:
          type: string
          title: Внутренний номер
          maxLength: 32
        external_number:
          type: string
          title: Номер клиента
          maxLength: 32
        wait_sec:
          type: integer
          maximum: 2147483647
          minimum: 0
          title: Ожидание
        bill_sec:
          type: integer
          maximum: 2147483647
          minimum: 0
          title: Разговор
        disposition:
          allOf:
            - $ref: '#/components/schemas/DispositionEnum'
          title: Состояние звонка
        is_new_call:
          type: boolean
          nullable: true
          title: Первый звонок
        employee_name:
          type: string
          title: Сотрудник
          maxLength: 255
        employee_email:
          type: string
          title: Email сотрудника
          maxLength: 255
        pbx_number:
          type: string
          title: Номер АТС
          maxLength: 32
        pbx_name:
          type: string
          title: Название номера АТС
          maxLength: 255
        has_recording:
          type: boolean
          title: Есть запись
        client:
          type: string
          readOnly: true
      required:
        - call_type
        - client
        - disposition
        - general_call_id
        - id
        - start_time
    CallTypeEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Входящий
        * `1` - Исходящий
    DispositionEnum:
      enum:
        - ANSWER
        - TRANSFER
        - ONLINE
        - BUSY
        - NOANSWER
        - CANCEL
        - CONGESTION
        - CHANUNAVAIL
        - VM
        - VM-SUCCESS
        - SMS-SENDING
        - SMS-SUCCESS
        - SMS-FAILED
        - SUCCESS
        - FAILED
      type: string
      description: |-
        * `ANSWER` - ANSWER
        * `TRANSFER` - TRANSFER
        * `ONLINE` - ONLINE
        * `BUSY` - BUSY
        * `NOANSWER` - NOANSWER
        * `CANCEL` - CANCEL
        * `CONGESTION` - CONGESTION
        * `CHANUNAVAIL` - CHANUNAVAIL
        * `VM` - VM
        * `VM-SUCCESS` - VM-SUCCESS
        * `SMS-SENDING` - SMS-SENDING
        * `SMS-SUCCESS` - SMS-SUCCESS
        * `SMS-FAILED` - SMS-FAILED
        * `SUCCESS` - SUCCESS
        * `FAILED` - FAILED
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````